com.ihr.xbrl.gui.interfaces

## Interface DTSLoadingBarInterface

-     public interface DTSLoadingBarInterface

  The Interface DTSLoadingBarInterface.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Access to the status bar value.
    `boolean` | `isVisible()` Checks if is visible.
    `void` | `setMessage(java.lang.String msg, java.lang.String toolTipText)` Sets a new message in the label at the bottom.
    `void` | `setStopable(Stopable stopable)` Sets the container this loading bar is going to work with.
    `void` | `setValue(int value)` Value must be an integer between 0 and 100 if it is in the range 1-99 then the ying yang sign will be visible on the right.
    `void` | `setVisible(boolean b)` Sets the visible.

- - ### Method Detail

    - #### setMessage

          void setMessage(java.lang.String msg,
                        java.lang.String toolTipText)

      Sets a new message in the label at the bottom.
      Parameters:
        `msg` - String
        `toolTipText` - String

    - #### setValue

          void setValue(int value)

      Value must be an integer between 0 and 100 if it is in the range 1-99 then the ying yang sign will be visible on the right.
      Parameters:
        `value` - the new value

    - #### isVisible

          boolean isVisible()

      Checks if is visible.
      Returns:
        boolean value

    - #### setVisible

          void setVisible(boolean b)

      Sets the visible.
      Parameters:
        `b` - boolean value

    - #### setStopable

          void setStopable(Stopable stopable)

      Sets the container this loading bar is going to work with. Setting it to null disables the Stop button. Setting it to not null enables the stop button.
      Parameters:
        `stopable` - the new container

    - #### getValue

          int getValue()

      Access to the status bar value. This is a value between 0 and 100
      Returns:
        integer